AntiFeatures:
  - Tracking
Categories:
  - Connectivity
License: AGPL-3.0-only
AuthorName: treehouses
AuthorWebSite: https://treehouses.io/
SourceCode: https://github.com/treehouses/remote
IssueTracker: https://github.com/treehouses/remote/issues

AutoName: Treehouses Remote

RepoType: git
Repo: https://gitlab.com/treehouses/remote.git

Builds:
  - versionName: '4176'
    versionCode: 4176
    commit: fdroid-4176
    subdir: app
    gradle:
      - yes

  - versionName: '4246'
    versionCode: 4246
    commit: fdroid-4246
    subdir: app
    gradle:
      - yes

  - versionName: '4326'
    versionCode: 4326
    commit: fdroid-4326
    subdir: app
    gradle:
      - yes

  - versionName: '4356'
    versionCode: 4356
    commit: fdroid-4356
    subdir: app
    gradle:
      - yes

  - versionName: '4450'
    versionCode: 4450
    commit: fdroid-4450
    subdir: app
    gradle:
      - yes

  - versionName: '4490'
    versionCode: 4490
    commit: fdroid-4490
    subdir: app
    gradle:
      - yes

  - versionName: '4504'
    versionCode: 4504
    commit: fdroid-4504
    subdir: app
    gradle:
      - yes

  - versionName: '4561'
    versionCode: 4561
    commit: fdroid-4561
    subdir: app
    gradle:
      - yes

  - versionName: '4597'
    versionCode: 4597
    commit: fdroid-4597
    subdir: app
    gradle:
      - yes

  - versionName: '4661'
    versionCode: 4661
    commit: fdroid-4661
    subdir: app
    gradle:
      - yes

  - versionName: '4859'
    versionCode: 4859
    commit: fdroid-4859
    subdir: app
    gradle:
      - yes

  - versionName: '4936'
    versionCode: 4936
    commit: fdroid-4936
    subdir: app
    gradle:
      - yes

  - versionName: '4950'
    versionCode: 4950
    commit: fdroid-4950
    subdir: app
    gradle:
      - yes

  - versionName: '4954'
    versionCode: 4954
    commit: fdroid-4954
    subdir: app
    gradle:
      - yes

  - versionName: '4968'
    versionCode: 4968
    commit: fdroid-4968
    subdir: app
    gradle:
      - yes

  - versionName: '5034'
    versionCode: 5034
    commit: fdroid-5034
    subdir: app
    gradle:
      - yes

  - versionName: '5075'
    versionCode: 5075
    commit: fdroid-5075
    subdir: app
    gradle:
      - yes

  - versionName: '5348'
    versionCode: 5348
    commit: fdroid-5348
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5386'
    versionCode: 5386
    commit: fdroid-5386
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5398'
    versionCode: 5398
    commit: fdroid-5398
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5449'
    versionCode: 5449
    commit: fdroid-5449
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5473'
    versionCode: 5473
    commit: fdroid-5473
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5495'
    versionCode: 5495
    commit: fdroid-5495
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5512'
    versionCode: 5512
    commit: fdroid-5512
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5553'
    versionCode: 5553
    commit: fdroid-5553
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5570'
    versionCode: 5570
    commit: fdroid-5570
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5592'
    versionCode: 5592
    commit: fdroid-5592
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5613'
    versionCode: 5613
    commit: fdroid-5613
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5644'
    versionCode: 5644
    commit: fdroid-5644
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5668'
    versionCode: 5668
    commit: fdroid-5668
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5684'
    versionCode: 5684
    commit: fdroid-5684
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5705'
    versionCode: 5705
    commit: fdroid-5705
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5733'
    versionCode: 5733
    commit: fdroid-5733
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5740'
    versionCode: 5740
    commit: fdroid-5740
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5759'
    versionCode: 5759
    commit: fdroid-5759
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5774'
    versionCode: 5774
    commit: fdroid-5774
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5790'
    versionCode: 5790
    commit: fdroid-5790
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5813'
    versionCode: 5813
    commit: fdroid-5813
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5826'
    versionCode: 5826
    commit: fdroid-5826
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5844'
    versionCode: 5844
    commit: fdroid-5844
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5852'
    versionCode: 5852
    commit: fdroid-5852
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5856'
    versionCode: 5856
    commit: fdroid-5856
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5873'
    versionCode: 5873
    commit: fdroid-5873
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5879'
    versionCode: 5879
    commit: fdroid-5879
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5881'
    versionCode: 5881
    commit: fdroid-5881
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5893'
    versionCode: 5893
    commit: fdroid-5893
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5910'
    versionCode: 5910
    commit: fdroid-5910
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5914'
    versionCode: 5914
    commit: fdroid-5914
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5916'
    versionCode: 5916
    commit: fdroid-5916
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5921'
    versionCode: 5921
    commit: fdroid-5921
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5933'
    versionCode: 5933
    commit: fdroid-5933
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5939'
    versionCode: 5939
    commit: fdroid-5939
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5949'
    versionCode: 5949
    commit: fdroid-5949
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5954'
    versionCode: 5954
    commit: fdroid-5954
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5957'
    versionCode: 5957
    commit: fdroid-5957
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '5968'
    versionCode: 5968
    commit: fdroid-5968
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '6014'
    versionCode: 6014
    commit: fdroid-6014
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '6026'
    versionCode: 6026
    commit: fdroid-6026
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '6042'
    versionCode: 6042
    commit: fdroid-6042
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk

  - versionName: '6054'
    versionCode: 6054
    commit: fdroid-6054
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6055'
    versionCode: 6055
    commit: fdroid-6055
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6056'
    versionCode: 6056
    commit: fdroid-6056
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6059'
    versionCode: 6059
    commit: fdroid-6059
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6061'
    versionCode: 6061
    commit: fdroid-6061
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6062'
    versionCode: 6062
    commit: fdroid-6062
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6066'
    versionCode: 6066
    commit: fdroid-6066
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6068'
    versionCode: 6068
    commit: fdroid-6068
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6069'
    versionCode: 6069
    commit: fdroid-6069
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6070'
    versionCode: 6070
    commit: fdroid-6070
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6071'
    versionCode: 6071
    commit: fdroid-6071
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6072'
    versionCode: 6072
    commit: fdroid-6072
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    ndk: r21d

  - versionName: '6076'
    versionCode: 6076
    commit: fdroid-6076
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: '6077'
    versionCode: 6077
    commit: fdroid-6077
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: '6080'
    versionCode: 6080
    commit: fdroid-6080
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: '6082'
    versionCode: 6082
    commit: fdroid-6082
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: '6083'
    versionCode: 6083
    commit: fdroid-6083
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: '6084'
    versionCode: 6084
    commit: fdroid-6084
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: '6085'
    versionCode: 6085
    commit: fdroid-6085
    gradle:
      - yes
    output: app/build/outputs/apk/release/remote-$$VERSION$$.apk
    prebuild: sed -i -e 's/21.3.6528147/21.4.7075529/' app/build.gradle
    ndk: r21e

MaintainerNotes: The root build.gradle contains custom code that uses relative paths.
    Thus we cannot apply subdir.

AutoUpdateMode: Version fdroid-%v
UpdateCheckMode: Tags fdroid-[0-9]+
CurrentVersion: '6085'
CurrentVersionCode: 6085
